<html>
  <head>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="/stylesheets/style.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    
  </head>
  <body class="container m-auto" style="padding-top: 100px;">
    <!-- navigation -->
    <% include ./../partial/home_navigation%>

    <div class="row"> 
      <div class="col-lg-3">
        <!-- side bar -->
        <% include ./../partial/sidebar%>
      </div>
      <div class="col-lg-9 table-responsive">
        <%if(typeof cart!=="undefined"){%>
        <table class="table table-hover">
          <thead class="thead-light">
            <tr>
              <th>Image</th>
              <th>Name</th>
              <th>Price</th>
              <th>Quantity</th>
              <th></th>
              <th>Subtotal</th>
            </tr>
            </thead>
            <tbody>
            <%var total=0;%>
            <%cart.forEach((product)=>{%> 
            <%var sub=(product.qty*product.price)%>
            <%total +=sub%>
            <tr>
              <td><img class="cpi" src="<%=product.image%>" alt="" /></td>
              <td><%=product.name%></td>
              <td><%=product.price%></td>
              <td><%=product.qty%></td>
              <td>
                <a id="add" href="/cart/update/<%=product.name%>?action=add"
                  >+</a
                >&nbsp;
                <a
                  id="remove"
                  href="/cart/update/<%=product.name%>?action=remove"
                  >-</a
                >&nbsp;
                <a id="clear" href="/cart/update/<%=product.name%>?action=clear"
                  >clear</a
                >&nbsp;
              </td>
              <td>$<%=sub%></td>
            </tr>
            <% })%>
            <tr>
                </tr>
            </tbody>
            </table>
            <div style="margin-top:10px; margin-left:550px;">
                <h3>Total</h3>
                </div>
                <div class="table-responsive" style="height:110;width:400;margin-top:10px; margin-left:420px;">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr>  
                                    <th scope="col">USD</th>
                                    <th scope="col">NPR</th>
                                    <th scope="col">EUR</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td id='usd'><%=parseInt(total)%></td>
                                    <td id='npr'></td>
                                    <td id='eur'></td>
                                </tr>
                            </tbody>
                         
                        </table>
                        </div>

                        <table class="table">
                            <tr>
                                    <td colspan="5" align="right">
                                <a href="/cart/clear" class="clearcart btn btn-danger">Clear Cart</a>
                                </td>
                                <td colspan="6" align="right">
                                <a href="#" class="btn btn-primary buynow">Buy</a>
                                </td>
                                </tr>
                                
                            </table>

                

        <%}else{%>
        <h3 class="text-center">Your cart is empty</h3>
        <%}%>
      </div>
    </div>

    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="/javascripts/work.js"></script>
<script>
  $(function(){
    $('a.clearcart').on('click',function(){
      if(!confirm('Are you sure to clear the carts?'))
      return false;
    });

  })
  </script>
    <script>  let url2 = "http://data.fixer.io/api/latest?access_key=3326e08883d2ae911017fdd61954f25e&symbols=USD,NPR,EUR"
    $.get(url2, function (data) {
        if (data.success) {
            console.log(data.rates.NPR);
            let usd = data.rates.USD;
            let npr = data.rates.NPR;
            let eur = data.rates.EUR
            //console.log('+' + usd + ":" + npr + ":" + eur);
            usd = parseFloat(eur / usd).toFixed(3)
            console.log(usd);
            let usdvar = $('#usd').text();

            console.log(usdvar);
            $('#npr').text((usd / eur * npr * usdvar).toFixed(2));
            $('#eur').text((usd / eur * eur * usdvar).toFixed(2));
        }
        //console.log("error");
    });</script>
  </body>
</html>
